#' Economically active people in Spain from 2002 to 2019.
#'
#' Number (thousands) of economically active women and men in Spain between 2002 and 2019
#'
#' @docType data
#'
#' @usage data(ActivePeople)
#'
#' @source Spanish Statistical Office (INE), \url{http://www.ine.es}
#'
#' @format A data frame with columns:
#' \describe{
#'  \item{Time}{A trimester (T1, T2, T3 and T4) between 2002 and 2019.}
#'  \item{TotalWomen}{Number (thousands) of economically active women.}
#'  \item{TotalMen}{Number (thousands) of economically active men.}
#' }
#' @examples
#' \dontrun{
#'  ActivePeople
#' }
"ActivePeople"
