% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Food-data.R
\docType{data}
\name{Food}
\alias{Food}
\title{Food in Spain from 2006 to 2015.}
\format{A data frame with columns:
\describe{
 \item{Year}{Year from 2006 and 2015.}
 \item{RicePrice}{Unitary value of rice (kilo).}
 \item{BreadPrice}{Unitary value of bread (kilo).}
 \item{PorkPrice}{Unitary value of pork meat (kilo).}
 \item{FishPrice}{Unitary value of fish (kilo).}
 \item{WholeMilkPrice}{Unitary value of whole milk (l).}
 \item{EggsPrice}{Unitary value of eggs (unit).}
 \item{OliveOilPrice}{Unitary value of olive oil (l).}
 \item{ApplesPrice}{Unitary value of apples (kilo).}
 \item{DriedFruitAndNutsPrice}{Unitary value of dried fruit and nuts (kilo).}
 \item{GreenVegetablePrice}{Unitary value value of green vegetables (kilo).}
 \item{PotatoesPrice}{Unitary value value of potatoes (kilo)}
 \item{SugarPrice}{Unitary value value of sugar (kilo)}
 \item{ChocolatePrice}{Unitary value value of chocolate (kilo)}
 \item{CoffeePrice}{Unitary value value of coffee (l).}
 \item{MineralWaterPrice}{Unitary value value of mineral water (l).}
 \item{WinePrice}{Unitary value value of wine (l).}
 \item{BeerPrice}{Unitary value value of beer (l).}
 \item{RiceConsumed}{Total amount (thousands of units) of consumed rice (kilo).}
 \item{BreadConsumed}{Total amount (thousands of units) of consumed bread (kilo).}
 \item{PorkConsumed}{Total amount (thousands of units) of consumed pork meat (kilo).}
 \item{FishConsumed}{Total amount (thousands of units) of consumed fish (kilo).}
 \item{WholeMilkConsumed}{Total amount (thousands of units) of consumed whole milk (l).}
 \item{EggsConsumed}{Total amount (thousands of units) of consumed eggs (unit).}
 \item{OliveOilConsumed}{Total amount (thousands of units) of consumed olive oil (l).}
 \item{ApplesConsumed}{Total amount (thousands of units) of consumed apples (kilo).}
 \item{DriedFruitAndNutsConsumed}{Total amount (thousands of units) of consumed dried fruit and nuts (kilo).}
 \item{GreenVegetableConsumed}{Total amount (thousands of units) of consumed green vegetables (kilo).}
 \item{PotatoesConsumed}{Total amount (thousands of units) of consumed potatoes (kilo)}
 \item{SugarConsumed}{Total amount (thousands of units) of consumed sugar (kilo)}
 \item{ChocolateConsumed}{Total amount (thousands of units) of consumed chocolate (kilo)}
 \item{CoffeeConsumed}{Total amount (thousands of units) of consumed coffee (l).}
 \item{MineralWaterConsumed}{Total amount (thousands of units) of consumed mineral water (l).}
 \item{WineConsumed}{Total amount (thousands of units) of consumed wine (l).}
 \item{BeerConsumed}{Total amount (thousands of units) of consumed beer (l).}
}}
\source{
Spanish Statistical Office (INE), \url{http://www.ine.es}
}
\usage{
data(Food)
}
\description{
Unitary value (euros) and consumed amount (thousands of units) of food in Spain from 2006 to 2015.
}
\examples{
\dontrun{
 Food
}
}
\keyword{datasets}
